
// (c) COPYRIGHT URI/MIT 1994-1996
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors:
//      reza            Reza Nekovei (reza@intcomm.net)

// The instantiation file for the Connections template class.
// Add one instantiation in this file for each class you use.
// Remove this file from your Makefile for comilers with automatic
// instantiation.
//
// ReZa 11/07/94 

#include "config_nc.h"

static char rcsid[] not_used ={"$Id: inst.cc,v 1.2 2000/10/06 01:22:03 jimg Exp $"};

#include <assert.h>

#include <string>

#include <netcdf.h>

#include "Connect.h"
#include "NCConnect.h"
#include "Connections.h"
#include "Connections.cc"

template class Connections<NCConnect *>;//for netCDF Connect class (NCConnect)

// $Log: inst.cc,v $
// Revision 1.2  2000/10/06 01:22:03  jimg
// Moved the CVS Log entries to the ends of files.
// Modified the read() methods to match the new definition in the dap library.
// Added exception handlers in various places to catch exceptions thrown
// by the dap library.
//
// Revision 1.1  1999/07/28 00:22:47  jimg
// Added
//
// Revision 1.4  1999/05/07 23:45:33  jimg
// String --> string fixes
//
// Revision 1.3  1996/09/17 17:06:57  jimg
// Merge the release-2-0 tagged files (which were off on a branch) back into
// the trunk revision.
//
// Revision 1.2.4.3  1996/09/17 00:26:39  jimg
// Merged changes from a side branch which contained various changes from
// Reza and Charles.
// Removed ncdump and netexec since ncdump is now in its own directory and
// netexec is no longer used.
//
// Revision 1.2.4.2  1996/07/10 21:44:38  jimg
// Changes for version 2.06. These fixed lingering problems from the migration
// from version 1.x to version 2.x.
// Removed some (but not all) warning generated with gcc's -Wall option.
//
// Revision 1.2.4.1  1996/06/25 22:04:58  jimg
// Version 2.0 from Reza.
//
// Revision 1.2  1995/07/09  21:33:55  jimg
// Added copyright notice.
//
// Revision 1.1  1994/11/18  20:13:17  reza
// Created the file and added netCDF connect class.
